# Bakery::App_WithDoc_Gtk Class Reference

This class implements Bakery::App_WithDoc using gtkmm. More...

`#include <App_WithDoc_Gtk.h>`

Inheritance diagram for Bakery::App_WithDoc_Gtk:

[legend]

List of all members.

## Public Member Functions

| App_WithDoc_Gtk (const Glib::ustring &appname)
| Don't forget to call init() too.
| App_WithDoc_Gtk (BaseObjectType *cobject, const Glib::ustring &appname)
| This constructor can be used to implement derived classes for use with Gnome::Glade::Xml::get_derived_widget().
virtual | ~App_WithDoc_Gtk ()
virtual void | init ()

## Protected Member Functions

virtual void | init_menus_file ()
| Call this from init_menus() to add the standard file menu.
virtual void | init_menus_file_recentfiles (const Glib::ustring &path)
virtual void | init_toolbars ()
virtual void | document_history_add (const Glib::ustring &file_uri)
virtual void | document_history_remove (const Glib::ustring &file_uri)
virtual void | update_window_title ()
virtual void | ui_warning (const Glib::ustring &text, const Glib::ustring &secondary_text)
virtual Glib::ustring | ui_file_select_open (const Glib::ustring &starting_folder_uri=Glib::ustring())
virtual Glib::ustring | ui_file_select_save (const Glib::ustring &old_file_uri)
| Present a user interface that allows the user to select a location to save the file.
virtual void | ui_show_modification_status ()
virtual enumSaveChanges | ui_offer_to_save_changes ()
void | on_recent_files_activate (Gtk::RecentChooser &recent_chooser)

## Protected Attributes

Glib::RefPtr< Gtk::Action > | m_action_save
Glib::RefPtr< Gtk::Action > | m_action_saveas

## Detailed Description

This class implements Bakery::App_WithDoc using gtkmm.

Your application's installation should register your document's MIME-type in GNOME's (freedesktop's) MIME-type system, and register your application as capable of opening documents of that MIME-type.

## Constructor & Destructor Documentation

Bakery::App_WithDoc_Gtk::App_WithDoc_Gtk | ( | const Glib::ustring & | appname | ) |

Don't forget to call init() too.

Bakery::App_WithDoc_Gtk::App_WithDoc_Gtk | ( | BaseObjectType * | cobject,
|  | const Glib::ustring & | appname |
| ) |  |  |

This constructor can be used to implement derived classes for use with Gnome::Glade::Xml::get_derived_widget().

virtual Bakery::App_WithDoc_Gtk::~App_WithDoc_Gtk | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Bakery::App_WithDoc_Gtk::init | ( |  | ) | `[virtual]`

Reimplemented from Bakery::App_Gtk.

virtual void Bakery::App_WithDoc_Gtk::init_menus_file | ( |  | ) | `[protected, virtual]`

Call this from init_menus() to add the standard file menu.

Reimplemented from Bakery::App_Gtk.

virtual void Bakery::App_WithDoc_Gtk::init_menus_file_recentfiles | ( | const Glib::ustring & | path | ) | `[protected, virtual]`

virtual void Bakery::App_WithDoc_Gtk::init_toolbars | ( |  | ) | `[protected, virtual]`

Reimplemented from Bakery::App_Gtk.

virtual void Bakery::App_WithDoc_Gtk::document_history_add | ( | const Glib::ustring & | file_uri | ) | `[protected, virtual]`

Reimplemented from Bakery::App_WithDoc.

virtual void Bakery::App_WithDoc_Gtk::document_history_remove | ( | const Glib::ustring & | file_uri | ) | `[protected, virtual]`

Reimplemented from Bakery::App_WithDoc.

virtual void Bakery::App_WithDoc_Gtk::update_window_title | ( |  | ) | `[protected, virtual]`

Reimplemented from Bakery::App_WithDoc.

virtual void Bakery::App_WithDoc_Gtk::ui_warning | ( | const Glib::ustring & | text,
|  | const Glib::ustring & | secondary_text |
| ) |  |  | `[protected, virtual]`

Implements Bakery::App_WithDoc.

virtual Glib::ustring Bakery::App_WithDoc_Gtk::ui_file_select_open | ( | const Glib::ustring & | starting_folder_uri = `Glib::ustring()` | ) | `[protected, virtual]`

Implements Bakery::App_WithDoc.

virtual Glib::ustring Bakery::App_WithDoc_Gtk::ui_file_select_save | ( | const Glib::ustring & | old_file_uri | ) | `[protected, virtual]`

Present a user interface that allows the user to select a location to save the file.

Parameters:

  | old_file_uri | The existing URI of the file, if any.

Returns:
  The URI of the file chosen by the user.

Implements Bakery::App_WithDoc.

virtual void Bakery::App_WithDoc_Gtk::ui_show_modification_status | ( |  | ) | `[protected, virtual]`

Implements Bakery::App_WithDoc.

virtual enumSaveChanges Bakery::App_WithDoc_Gtk::ui_offer_to_save_changes | ( |  | ) | `[protected, virtual]`

Implements Bakery::App_WithDoc.

void Bakery::App_WithDoc_Gtk::on_recent_files_activate | ( | Gtk::RecentChooser & | recent_chooser | ) | `[protected]`

## Member Data Documentation

Glib::RefPtr<Gtk::Action> Bakery::App_WithDoc_Gtk::m_action_save `[protected]`

Glib::RefPtr<Gtk::Action> Bakery::App_WithDoc_Gtk::m_action_saveas `[protected]`

The documentation for this class was generated from the following file:

- App_WithDoc_Gtk.h